Subject: Re: bug#24194: GUIX gc - add warning
From: [email-masked] (Ludovic Courtès)
To: Leo Famulari <[email-masked]>
Cc: [email-masked], "J. Eppler" <[email-masked]>
Date: Sun, 12 Nov 2017 22:43:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Leo Famulari <[email-masked]> skribis:

> On Tue, Aug 09, 2016 at 07:59:28PM -0400, J. Eppler wrote:
>> Hello,
>>  
>> I used GUIX for the first time and invoked: guix gc. The command deleted
>> all my bootstrap files (gcc, binutils, findutils etc.). There should be
>> a warning added to the manual page:
>> 
>> https://www.gnu.org/software/guix/manual/html_node/Invoking-guix-gc.html
>
> I think the concept of garbage collector roots should be clarified in
> the manual somehow and linked to from 'Invoking guix gc'. Or it could
> even go in that section.
>
> I was surprised to find that the string 'gcroots' does not appear in the
> manual.

I’ve now pushed some clarifications:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=6a98b9f34e6190a2e1d11bedd5853aa94cf25ca7

Closing!

Thanks,
Ludo’.